import request from '@/utils/request'

// 查询审批任务实例列表
// export function listINSTACTIONTASK(query) {
//   return request({
//     url: '/actionTask/list',
//     method: 'get',
//     params: query
//   })
// }

// 查询审批任务实例所有列表
export function listAllINSTACTIONTASK(query) {
  return request({
    url: '/actionTask/listAll',
    method: 'get',
    params: query
  })
}

// 查询审批任务实例详细
export function getINSTACTIONTASK(id) {
  return request({
    url: '/actionTask/getInfo/' + id,
    method: 'get'
  })
}

// 查询用户自己的审批任务实例
export function listINSTACTIONTASK(data) {
  return request({
    url: '/actionTask/list_byUser',
    method: 'get',
    params: data
  })
}

// 审核通过
export function approve(data) {
  return request({
    url: '/actionTask/approve',
    method: 'post',
    data: data
  })
}

// 审核驳回
export function reject(data) {
  return request({
    url: '/actionTask/reject',
    method: 'post',
    data: data
  })
}

// 审核退回
export function goback(data) {
  return request({
    url: '/actionTask/goback',
    method: 'post',
    data: data
  })
}


// 获取文件流
export function downloadpic(data) {
  return request({
    url: '/common/download?delete=false&fileName=' + data ,
    method: 'get',
    responseType: "blob"
  })
}


